Bug 205351 - no default font path in Xvfb
Summary: no default font path in Xvfb
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 205484
TreeView+ depends on / blocked
 
Reported: 2006-09-06 08:26 UTC by Dan Horák
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 21:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Horák 2006-09-06 08:26:49 UTC
Description of problem:
There is no default filesystem-based font path in current Xvfb server. Fonts are
installed in /usr/share/X11/fonts/, but Xorg needs explicit "-fp <path>" to find
the default font "fixed".

Version-Release number of selected component (if applicable):
xorg-x11-server-Xvfb-1.1.1-34.fc6

How reproducible:
start Xvfb without "-fp <path>"


Actual results:
mock-build> Xvfb :69 -nolisten tcp -ac -terminate
error opening security policy file /usr/lib/xserver/SecurityPolicy
Could not init font path element unix/:7100, removing from list!

Fatal server error:
could not open default font 'fixed'

The following startup is OK:
mock-build> Xvfb :69 -nolisten tcp -ac -terminate -fp /usr/share/X11/fonts/misc/

Comment 1 Adam Jackson 2006-09-15 21:09:05 UTC
Fixed in 1.1.1-37 and later.


Note You need to log in before you can comment on or make changes to this bug.